# Pi-StAPrS - Script for Pi-Star & APRS

Gathers GPS and Pi-Star Info to beacon to APRS-IS as location & comment

## About

This script was originally written a couple of years ago to do two things:


- gather & parse GPS information for an APRS packet
- scrape Pi-Star for Talkgroup/Reflector for APRS comment
- blast those to APRS-IS


The scripts were originally written to run directly on the RPi running Pi-Star;
scraping the information locally and getting GPS from another Pi running 
gpsd. A simple PHP interface was hacked together to turn the beacon on
and off. The entire thing was just permanently set as an every 5-minute
cronjob. 

Pi-Star has some sort of GPS stuff built-in to it; but I couldn't figure out
how to make it work. This has been updated for the new scraping method.
I also lost the php that handled the activation.

Some of this has been resurrected as **[piscrape - Hotspot Info Display For PHP](https://git.pickmy.org/nq4t/piscrape)**.
The original PiStaprs page is offline. I saved most of the data but need to convert it. 

I have not run this script in quite some time. I developed it to be as future-proof as possible and to my knowledge, most of the 
stuff still works. Scraping techniques need to be imported from PiScrape. Your milage may vary. Not responsible for any damage
to your hotspot installation. Please do not flood APRS-IS with garbage from this script.

# History

```
07-MAY-2022 - Initial Commit
12-MAY-2022 - update scrape. fix fatal bugs
21-JAN-2023 - Update Readme
```

# License

    Pi-StAPrS - Script for Pi-Star & APRS
    Copyright (C) 2022 Jay Moore - nq4tango@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
